#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int indexi[2000005];
bool dodat[2000005];

main ()
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n,k; cin >> n >> k;
int ct=0;
for (int i=0; i<n; i++)
{
    int a; cin >> a;
    indexi[a+n]++;
    if (indexi[a+n]>=k && dodat[a+n]==false) { ct++; dodat[a+n]=true; }
}
cout << ct << "\n";
for (int i=0; i<=2*n; i++)
 if (indexi[i]>=k) cout << i-n << " ";
}